### Method

# Gio SubprocessLauncher set_cwd

since: 2.40

#### Declaration

    void
    g_subprocess_launcher_set_cwd (
      GSubprocessLauncher* self,
      const gchar* cwd
    )

#### Description

Sets the current working directory that processes will be launched with.

By default processes are launched with the current working directory of the launching process at the time of launch.

Available since: 2.40

#### Parameters

`cwd`

  Type: `const gchar*`

  The cwd for launched processes.

  The data is owned by the caller of the method.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.